# Uses of Interface
org.apache.qpid.proton.engine.Link

Packages that use Link
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Link in org.apache.qpid.proton.engine

Subinterfaces of Link in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`Receiver`
Receiver
`interface`
`Sender`
Sender
Methods in org.apache.qpid.proton.engine that return Link
Modifier and Type
Method
Description
`Link`
Delivery.`getLink()`
`Link`
Event.`getLink()`
`Link`
Connection.`linkHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
Returns the head of the list of links in the specified states.
`Link`
Link.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`

## Uses of Link in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement Link
Modifier and Type
Class
Description
`class`
`LinkImpl`
`class`
`ReceiverImpl`
`class`
`SenderImpl`
Methods in org.apache.qpid.proton.engine.impl that return Link
Modifier and Type
Method
Description
`Link`
ConnectionImpl.`linkHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Link`
LinkImpl.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`